Name:           hawaii-shell
Summary:        Hawaii shell for desktop, netbook and tablet
Version:        0.3.0
Release:        3%{?dist}
Group:          Applications/System
License:        BSD and LGPLv2+ and GPLv2+
URL:            https://github.com/hawaii-desktop/shell
Source0:        http://downloads.sourceforge.net/mauios/%{name}-%{version}.tar.gz
Patch1:         0001-shell-Use-default-wallpaper.patch
Patch2:         0002-Specify-protocol-versions.patch
Patch3:         0003-server-Update-to-Weston-1.6-API.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Compositor) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(polkit-qt5-1)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(weston) >= 1.6
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  bzip2-devel
BuildRequires:  cmake
BuildRequires:  qt5-qtaccountsservice-devel >= 0.1.2
BuildRequires:  qt5-qtconfiguration-devel >= 0.3.0

BuildRequires:  libhawaii-devel >= 0.3.0
BuildRequires:  greenisland-devel >= 0.3.0
BuildRequires:  pkgconfig(glesv2) pkgconfig(egl)
BuildRequires:  alsa-lib-devel

BuildRequires:  dconf-devel
BuildRequires:  glib2-devel
BuildRequires:  libqtxdg-qt5-devel

Requires:       qt5-qtsvg
Requires:       qt5-qttools
Requires:       qt5-qtdeclarative
Requires:       qt5-qtgraphicaleffects
Requires:       fluid >= 0.3.0
Requires:       greenisland >= 0.3.0
Requires:       desktop-backgrounds-compat
Requires:       weston >= 1.4
Requires:       hawaii-widget-styles >= 0.3.0
Requires:       dbus
Requires:       /usr/bin/qdbus

%description
This is the Hawaii desktop environment shell. It contains a Qt platform plugin 
and shells for different form factors such as desktop, netbook and tablet. Only 
the desktop shell is implemented at the moment though.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
%cmake -DQTWAYLAND_SCANNER_EXECUTABLE=%{_qt5_bindir}/qtwaylandscanner .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%{_bindir}/*
%{_libdir}/hawaii
%{_libdir}/weston/hawaii-desktop.so
%{_datadir}/wayland-sessions
%{_libexecdir}/*
%{_datadir}/hawaii
%{_userunitdir}/*
%doc AUTHORS
%doc COPYING
%doc COPYING.LIB
%doc README.md


%changelog
* Sun Sep 28 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-3
- Update for QtWayland 5.4
- Update for Weston 1.6

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-1
- Update to 0.3 release
- Drop upstreamed patches

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-4.20140524git2785c40
- A later GIT snapshot
- Enable in GDM

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.90-4.20140212gite338ecb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 19 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-3.20140212gite338ecb
- Correct missing dependencies

* Wed Feb 19 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-2.20140212gite338ecb
- More missing dependencies

* Sun Feb 16 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-1.20140212gite338ecb
- A later GIT snapshot
- Fixed dependencies

* Sat Jan 04 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.0.2-1
- Update to new release tarball

* Sun Nov 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.95-1
- Bump

* Tue Sep 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.93-1.20130822gitff4ed81
- Bump

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.91-1.20130804git5624ac7
- Initial packaging
